Bug 1011850 - Weak password message looks weird when clicking “Done” once: “You have provided a weak password: None. Press done to use anyway”
Weak password message looks weird when clicking “Done” once: “You have provid...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 04:55 EDT by Mike FABIAN
Modified: 2013-10-03 21:54 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-20.21-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 21:54:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
password-weak-none-error-message.png (129.86 KB, image/png)
2013-09-25 04:55 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-09-25 04:55:43 EDT
Created attachment 802662 [details]
password-weak-none-error-message.png

When installing Fedora 20 Alpha (release), when the installation
is running, one can add a user (and/or set the root password).

When entering a weak password and clicking “Done” once, one sees
the message:

    “You have provided a weak password: None. Press done to use anyway”

The “None.” looks quite weird to me.

Looking at the python code:

    user.py line 546:
    
            if pwstrength < 2:
                # If Done has been clicked twice, waive the check
                if self._waivePasswordClicks > 1:
                    return None
                elif self._waivePasswordClicks == 1:
                    return _("You have provided a weak password: %s. "
                            " Press Done again to use anyway.") % self._pwq_error
                else:
                    error = _("The password you have provided is weak")
                    if self._pwq_error:
                        error += ": %s. " % self._pwq_error
                    else:
                        error += ". "
                    error += _("You will have to press Done twice to confirm it.")
                    return error

it seems that self._pwq_error is “None”, which probably means that there was
no error. But displaying that Python value “None” to the user seems useless and
confusing.
Comment 1 Fedora Update System 2013-09-27 21:15:42 EDT
anaconda-20.21-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.21-1.fc20
Comment 2 Fedora Update System 2013-09-28 21:44:52 EDT
Package anaconda-20.21-1.fc20, pykickstart-1.99.41-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.21-1.fc20 pykickstart-1.99.41-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17921/pykickstart-1.99.41-1.fc20,anaconda-20.21-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-10-03 21:54:56 EDT
anaconda-20.21-1.fc20, pykickstart-1.99.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.